| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MinimalStructType Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure MinimalStructType defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | MinimalStructType ()
| Default constructor.
eProsima_user_DllExport | ~MinimalStructType ()
| Default destructor.
eProsima_user_DllExport | MinimalStructType (const MinimalStructType &x)
| Copy constructor.
eProsima_user_DllExport | MinimalStructType (MinimalStructType &&x) noexcept
| Move constructor.
eProsima_user_DllExport MinimalStructType & | operator= (const MinimalStructType &x)
| Copy assignment.
eProsima_user_DllExport MinimalStructType & | operator= (MinimalStructType &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const MinimalStructType &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const MinimalStructType &x) const
| Comparison operator.
eProsima_user_DllExport void | struct_flags (const StructTypeFlag &_struct_flags)
| This function copies the value in member struct_flags.
eProsima_user_DllExport void | struct_flags (StructTypeFlag &&_struct_flags)
| This function moves the value in member struct_flags.
eProsima_user_DllExport const StructTypeFlag & | struct_flags () const
| This function returns a constant reference to member struct_flags.
eProsima_user_DllExport StructTypeFlag & | struct_flags ()
| This function returns a reference to member struct_flags.
eProsima_user_DllExport void | header (const MinimalStructHeader &_header)
| This function copies the value in member header.
eProsima_user_DllExport void | header (MinimalStructHeader &&_header)
| This function moves the value in member header.
eProsima_user_DllExport const MinimalStructHeader & | header () const
| This function returns a constant reference to member header.
eProsima_user_DllExport MinimalStructHeader & | header ()
| This function returns a reference to member header.
eProsima_user_DllExport void | member_seq (const MinimalStructMemberSeq &_member_seq)
| This function copies the value in member member_seq.
eProsima_user_DllExport void | member_seq (MinimalStructMemberSeq &&_member_seq)
| This function moves the value in member member_seq.
eProsima_user_DllExport const MinimalStructMemberSeq & | member_seq () const
| This function returns a constant reference to member member_seq.
eProsima_user_DllExport MinimalStructMemberSeq & | member_seq ()
| This function returns a reference to member member_seq.

## Detailed Description

This class represents the structure MinimalStructType defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ MinimalStructType() [1/3]

eProsima_user_DllExport MinimalStructType | ( |  | ) |

inline

Default constructor.

## ◆ ~MinimalStructType()

eProsima_user_DllExport ~MinimalStructType | ( |  | ) |

inline

Default destructor.

## ◆ MinimalStructType() [2/3]

eProsima_user_DllExport MinimalStructType | ( | const MinimalStructType & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object MinimalStructType that will be copied.

## ◆ MinimalStructType() [3/3]

eProsima_user_DllExport MinimalStructType | ( | MinimalStructType && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object MinimalStructType that will be copied.

## Member Function Documentation

## ◆ header() [1/4]

eProsima_user_DllExport MinimalStructHeader & header | ( |  | ) |

inline

This function returns a reference to member header.

Returns
  Reference to member header

## ◆ header() [2/4]

eProsima_user_DllExport const MinimalStructHeader & header | ( |  | ) | const

inline

This function returns a constant reference to member header.

Returns
  Constant reference to member header

## ◆ header() [3/4]

eProsima_user_DllExport void header | ( | const MinimalStructHeader & | _header | ) |

inline

This function copies the value in member header.

Parameters

  _header | New value to be copied in member header

## ◆ header() [4/4]

eProsima_user_DllExport void header | ( | MinimalStructHeader && | _header | ) |

inline

This function moves the value in member header.

Parameters

  _header | New value to be moved in member header

## ◆ member_seq() [1/4]

eProsima_user_DllExport MinimalStructMemberSeq & member_seq | ( |  | ) |

inline

This function returns a reference to member member_seq.

Returns
  Reference to member member_seq

## ◆ member_seq() [2/4]

eProsima_user_DllExport const MinimalStructMemberSeq & member_seq | ( |  | ) | const

inline

This function returns a constant reference to member member_seq.

Returns
  Constant reference to member member_seq

## ◆ member_seq() [3/4]

eProsima_user_DllExport void member_seq | ( | const MinimalStructMemberSeq & | _member_seq | ) |

inline

This function copies the value in member member_seq.

Parameters

  _member_seq | New value to be copied in member member_seq

## ◆ member_seq() [4/4]

eProsima_user_DllExport void member_seq | ( | MinimalStructMemberSeq && | _member_seq | ) |

inline

This function moves the value in member member_seq.

Parameters

  _member_seq | New value to be moved in member member_seq

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const MinimalStructType & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalStructType object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport MinimalStructType & operator= | ( | const MinimalStructType & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object MinimalStructType that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport MinimalStructType & operator= | ( | MinimalStructType && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object MinimalStructType that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const MinimalStructType & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalStructType object to compare.

## ◆ struct_flags() [1/4]

eProsima_user_DllExport StructTypeFlag & struct_flags | ( |  | ) |

inline

This function returns a reference to member struct_flags.

Returns
  Reference to member struct_flags

## ◆ struct_flags() [2/4]

eProsima_user_DllExport const StructTypeFlag & struct_flags | ( |  | ) | const

inline

This function returns a constant reference to member struct_flags.

Returns
  Constant reference to member struct_flags

## ◆ struct_flags() [3/4]

eProsima_user_DllExport void struct_flags | ( | const StructTypeFlag & | _struct_flags | ) |

inline

This function copies the value in member struct_flags.

Parameters

  _struct_flags | New value to be copied in member struct_flags

## ◆ struct_flags() [4/4]

eProsima_user_DllExport void struct_flags | ( | StructTypeFlag && | _struct_flags | ) |

inline

This function moves the value in member struct_flags.

Parameters

  _struct_flags | New value to be moved in member struct_flags

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp